package com.bayometric.www;

public class UranusCoreProxy implements com.bayometric.www.UranusCore_PortType {
  private String _endpoint = null;
  private com.bayometric.www.UranusCore_PortType uranusCore_PortType = null;
  
  public UranusCoreProxy() {
    _initUranusCoreProxy();
  }
  
  public UranusCoreProxy(String endpoint) {
    _endpoint = endpoint;
    _initUranusCoreProxy();
  }
  
  private void _initUranusCoreProxy() {
    try {
      uranusCore_PortType = (new com.bayometric.www.UranusCore_ServiceLocator()).getUranusCoreEndpoint();
      if (uranusCore_PortType != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)uranusCore_PortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)uranusCore_PortType)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (uranusCore_PortType != null)
      ((javax.xml.rpc.Stub)uranusCore_PortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public com.bayometric.www.UranusCore_PortType getUranusCore_PortType() {
    if (uranusCore_PortType == null)
      _initUranusCoreProxy();
    return uranusCore_PortType;
  }
  
  public com.bayometric.www.BFSAuthResponse createSession(com.bayometric.www.AuthRequestInfo authRequestInfo) throws java.rmi.RemoteException{
    if (uranusCore_PortType == null)
      _initUranusCoreProxy();
    return uranusCore_PortType.createSession(authRequestInfo);
  }
  
  public com.bayometric.www.BFSResponseBase endSession(java.lang.String sessionKey) throws java.rmi.RemoteException{
    if (uranusCore_PortType == null)
      _initUranusCoreProxy();
    return uranusCore_PortType.endSession(sessionKey);
  }
  
  public com.bayometric.www.BFSResponse registerPerson(java.lang.String sessionKey, java.lang.String personID) throws java.rmi.RemoteException{
    if (uranusCore_PortType == null)
      _initUranusCoreProxy();
    return uranusCore_PortType.registerPerson(sessionKey, personID);
  }
  
  public com.bayometric.www.BFSResponse unregisterPerson(java.lang.String sessionKey, java.lang.String personID) throws java.rmi.RemoteException{
    if (uranusCore_PortType == null)
      _initUranusCoreProxy();
    return uranusCore_PortType.unregisterPerson(sessionKey, personID);
  }
  
  public com.bayometric.www.BFSResponse search() throws java.rmi.RemoteException{
    if (uranusCore_PortType == null)
      _initUranusCoreProxy();
    return uranusCore_PortType.search();
  }
  
  public com.bayometric.www.BFSResponse searchEx(java.lang.String appToken, java.lang.String personID, java.lang.Boolean showGUI, java.lang.Integer timeout) throws java.rmi.RemoteException{
    if (uranusCore_PortType == null)
      _initUranusCoreProxy();
    return uranusCore_PortType.searchEx(appToken, personID, showGUI, timeout);
  }
  
  public com.bayometric.www.BFSResponse cancelSearch(java.lang.String appToken) throws java.rmi.RemoteException{
    if (uranusCore_PortType == null)
      _initUranusCoreProxy();
    return uranusCore_PortType.cancelSearch(appToken);
  }
  
  public com.bayometric.www.BFSInfoResponse getRegisteredPersons(java.lang.Integer startIndex, java.lang.Integer numberOfPersons) throws java.rmi.RemoteException{
    if (uranusCore_PortType == null)
      _initUranusCoreProxy();
    return uranusCore_PortType.getRegisteredPersons(startIndex, numberOfPersons);
  }
  
  
}